​

Get list of properties

GET
https://example.kaiten.ru/api/latest/company/custom-properties

Get custom property list. The result of the request is displayed page by page if limit and offset presented.

Query
NameTypeConstraintsDescription
include_valuesbooleanAdd catalog values in response
include_authorbooleanAdd property author in response
compactbooleanReturns the minimum set of parameters of custom properties
load_by_idsbooleanReturns custom properties by ids if ids parameter is presented
idsarrayArray of custom property ids
offsetintegerNumber of records to skip
limitintegerMaximum amount of properties in response
order_bystringComma separated list of fields to sort by
order_directionstringComma separated list of sort directions
querystringFilter by custom property name
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
name

string

Custom property name
type

string

Custom property type
show_on_facade

string

Should show property on card's facade
multiline

string

Should render multiline text field
fields_settings

null | object

Schema
Field settings for catalog type
author_id

integer

Author_id
company_id

integer

Company_id
updated

string

Last update timestamp
created

string

Create date
id

integer

Custom property id
condition

string

Custom property condition
colorful

boolean

Used for select properties. Determines should select color when creating new select value.
multi_select

boolean

Used for select properties. Determines is select property used as multi select
values_creatable_by_users

boolean

Used for select properties. Determines if users with writer role are able to create new select property values.
data

null | object

Additional custom property data
values_type

null | string

Type of values
vote_variant

null | string

Type of vote or collective vote custom properties
protected

boolean

Protected flag
color

null | integer

Color of catalog custom property
external_id

null | string

External id
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!